{
  "name" : "GreenVillageRecordData",
  "namespace":"org.thegreenvillage.record",
  "type" : "record",
  "fields" : [
    {
      "name" : "timestamp",
      "type" : "long",
      "doc" : "Timestamp (milliseconds since unix epoch) of the measurement."
    }, {
      "name" : "values",
      "type":{
        "type": "array",
        "items":{
          "name":"value",
          "type":"record",
          "fields":[
            {"name":"name", "type":"string"},
            {"name":"description", "type":"string"},
            {"name":"unit", "type":"string"},
            {
              "name":"type",
              "type":
                {
                  "name": "type",
                  "type": "enum",
                  "symbols":["NULL", "BOOLEAN", "INT", "LONG", "FLOAT", "DOUBLE", "STRING"]
                }
            },
            {"name":"value", "type":["null", "boolean", "double", "float", "long", "int", "string"]}
          ]
        }
      }
    }
  ]
}
